/** @format */
import request from "@/utils/request";

// 查询材料配置列表
export function listConifg(query) {
  return request({
    url: "/materials/conifg/list",
    method: "get",
    params: query,
  });
}

//保存提交材料
export function saveMaterials(data, id) {
  return request({
    url: "/talent/list/saveMaterialsToTalentList/" + id,
    method: "post",
    data,
  });
}

//获取历史材料列表历史记录
export function getHistoryList(params) {
  let paramsUrl = "";
  if (params.isReviewed) {
    paramsUrl = "/materials/storage/getListByApplicationFormId";
  } else {
    paramsUrl = "/materials/storage/getListByRclkTalentListId";
  }
  return request({
    url: paramsUrl,
    method: "get",
    params,
  });
}
